LT-COMPOSE(1)

NAME
lt-compose - compiled dictionary composition for Apertium

SYNOPSIS
lt-compose transducer1_binary transducer2_binary composed_binary

DESCRIPTION
lt-compose is the application responsible for composing two compiled dictionaries, matching the output-side of transducer1 with the input-side of transducer2. By default, matches are anchored to initial/final states, so the transducer2 has to match full paths (in regex terms, transducer2 is implicitly surrounded by ^ and $). But there is also support for letting transducer2 match sub-paths of transducer1 (in which matches become optional, making the composition a superset of transducer1). Matching sub-paths means that transducer2 can start matching in the midst of paths of transducer2 (in regex terms, transducer2 is implicitly surrounded in .* on both sides).

OPTIONS

-i, - -inverted
    Apply transducer2 to the input-side (left) of transducer1 instead of the output-side. You would do this when altering the forms of an analyser.

-a, - -anywhere
    Allow transducer2 to match sub-paths instead of requiring matching initial/final states. Matches then become optional.

-j, - -jobs
    Parallelise composition by using one cpu core per section of transducer1. You can also set the environment variable LT_JOBS=true if you always want parallelisation where available in lttoolbox.

FILES

transducer1_binary
    a finite state transducer

transducer2_binary
    a finite state transducer

composed_binary
    a finite state transducer

SEE ALSO
apertium(1), apertium-tagger(1), lt-comp(1), lt-expand(1), lt-print(1), lt-trim(1), lt-proc(1)

AUTHOR
Copyright © 2005-2022 Universitat d'Alacant / Universidad de Alicante. This is free software. You may redistribute copies of it under the terms of the GNU General Public License: https://www.gnu.org/licenses/gpl.html.

BUGS
Many... lurking in the dark and waiting for you!